org.omg.DynamicAny

## Class DynValueHelper

- java.lang.Object
- - org.omg.DynamicAny.DynValueHelper

    public abstract class DynValueHelper
    extends Object

DynValue objects support the manipulation of IDL non-boxed value types. The DynValue interface can represent both null and non-null value types. For a DynValue representing a non-null value type, the DynValue's components comprise the public and private members of the value type, including those inherited from concrete base value types, in the order of definition. A DynValue representing a null value type has no components and a current position of -1.

Warning: Indiscriminantly changing the contents of private value type members can cause the value type implementation to break by violating internal constraints. Access to private members is provided to support such activities as ORB bridging and debugging and should not be used to arbitrarily violate the encapsulation of the value type.

### Constructor Summary

Constructors
Constructor and Description
`DynValueHelper()`

### Method Summary

Methods
`static DynValue` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, DynValue that)`
`static DynValue` `narrow(Object obj)`
`static DynValue` `read(InputStream istream)`
`static TypeCode` `type()`
`static DynValue` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, DynValue value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynValueHelper

    public DynValueHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              DynValue that)

#### extract

    public static DynValue extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static DynValue read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             DynValue value)

#### narrow

    public static DynValue narrow(Object obj)

#### unchecked_narrow

    public static DynValue unchecked_narrow(Object obj)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.